NNUM(1)

NAME
nnum - print a series of integers, floats, or function values

SYNOPSIS
nnum <begin> <end> [<step>] [<func>] [<print_fmt>]
nnum <number>

DESCRIPTION
nnum produces a series of integers, floats, or function values

EXAMPLES

    a) nnum 100

    b) nnum 10 1 -1

    c) nnum 1 10 0.1 x "N=%05.2f"

    d) nnum -3.14 3.14 0.01 "sin(x)" "sin(x)=%f at x=%f"

    e) nnum -3.14 3.14 0.01 "cos(x*x)" "%g %g"

Remark: an user-defined function should have syntax conforming to 'awk'.

COPYRIGHT
Copyright © 2006, 2007, 2009, 2011-2013 Dimitar Ivanov

License: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.